/* LOADER */
.no-js #loader{display:none;}
.js #loader{display:block;position:absolute;left:100px;top:0;}
#se-pre-con{position:fixed;left:0px;top:0px;width:100%;height:100%;z-index:9999;opacity:0.75;background-color:#fff;background-image:url(../img/loader-128x/Preloader_3.gif);background-repeat:no-repeat;background-position:center;}
/* TEMPLATE */
.cursor-pointer{cursor:pointer}
.navbar .navbar-menu-wrapper .navbar-nav .nav-item.dropdown .navbar-dropdown{max-height:500px;overflow-y:auto;}
.navbar .navbar-menu-wrapper .navbar-nav .nav-link[data-toggle="dropdown"]>span{white-space:nowrap}
#sucuDropdown>span{max-width:150px !important;overflow:hidden;text-overflow:ellipsis;display:inline-block;}#sucuDropdown>i{top:5px;position:relative;}
.navbar .navbar-menu-wrapper .nav-profile-name{white-space:nowrap;overflow:hidden;max-width:150px;display:inline-flex;text-overflow:ellipsis;text-decoration:none;}
.navbar .navbar-menu-wrapper .nav-item.dropdown .nav-link[data-toggle="dropdown"]{display:flex;}
@media (max-width: 767px){.manuals-container,.chatter-container,.otherlinks-container{display:none!important;}}
.nav-tabs .nav-extra-container{display:flex;justify-content:flex-end;margin-right:0;right:0;position:absolute;padding-top:5px;}
.nav-tabs .nav-extra-container .nav-extra-box{margin-right:15px;}
.nav-tabs .nav-extra-container .nav-extra-box:last-child{margin-right:25px;}
pre.diff-result{background-color:transparent;border:0;border-radius:0;margin:0;padding:0;font-size:inherit;line-height:inherit;color:inherit;}
pre.diff-result ins{background-color:#c6ffc6;text-decoration:none;}
pre.diff-result del{background-color:#ffc6c6;}
@keyframes gold-glow{0%,100%{color:gold;text-shadow:0 0 2px gold}50%{color:#d4af37;text-shadow:0 0 6px #d4af37}}
.icon-new{font-size:16px;font-weight:bold !important;animation:gold-glow 1.5s infinite;}
.icon-new:hover{animation:none;color:#f9ff00;}
@keyframes shimmer{0%{background-position:-200% center;}40%{background-position:200% center;}100%{background-position:200% center;}}
.icon-offer{font-size:16px;font-weight:bold !important;background:linear-gradient(120deg,#2E7D32 0%,#2E7D32 10%,#66BB6A 50%,#ddf3d4 60%,#66BB6A 70%,#2E7D32 110%, #2E7D32 200%);background-size:200% auto;-webkit-background-clip:text;-webkit-text-fill-color:transparent;animation:shimmer 7s linear infinite;}
.dark{color:#333!important}.white{color:#fff!important}.red{color:#dd5a43!important}.red2{color:#e08374!important}.light-red{color:#f77!important}.blue{color:#478fca!important}.light-blue{color:#93cbf9!important}.green{color:#69aa46!important}.light-green{color:#b0d877!important}.orange{color:#ff892a!important}.orange2{color:#feb902!important}.light-orange{color:#fcac6f!important}.purple{color:#a069c3!important}.pink{color:#c6699f!important}.pink2{color:#d6487e!important}.brown{color:brown!important}.grey{color:#777!important}.light-grey{color:#bbb!important}.yellow{color:#ddcb83!important}.magenta{color:#17a2b8!important;}.bold{font-weight:bold !important}.bolder{font-weight:900 !important}
.footer{padding:0.5rem 0.5rem 0.25rem 0.5rem;}
.sidebar .nav .nav-item .nav-link i.menu-icon{margin-right:0.70rem;}
.navbar .navbar-menu-wrapper .navbar-nav .nav-item.dropdown .count-indicator i[class*="fa-"]+.count{top:10px;right:-10px;}
a.dropdown-item.preview-item.new-notif:after{content:"\f890";font-family:"Font Awesome 5 Pro";color:#bdbd5f;}
a.dropdown-item.preview-item.new-notif:not(:hover),.chat-list-item.new-msg:not(:hover){background-color:antiquewhite;}
ul.nav.sub-menu>li.nav-item>div>ul.nav.sub-menu{padding:0.25rem 0 0 1.5rem;}
.sidebar .nav.sub-menu .nav-item.child::before, .sidebar .nav.sub-menu .nav-item.child::after{background:none;}
.sidebar .nav.sub-menu .nav-item.child>a>i.menu-icon{position:absolute;left:-8px;top:3px;font-size:1.0rem;}
.sidebar .nav.sub-menu .nav-item.child>a>i.menu-icon+span.menu-title{padding-left:5px;}
.navbar .navbar-menu-wrapper .navbar-nav .nav-item.otherlinks-container{margin-left:0.25rem;margin-right:0.25rem;}
.custom-control-label{line-height:2.3;position:absolute;}
.custom-switch{padding-left:2.6rem;padding-bottom:1rem;}
.custom-switch.switch-big1 .custom-control-label::before{left:-2.75rem;width:2.30rem;pointer-events:all;height:1.4rem;}
.custom-switch.switch-big1 .custom-control-label::after{left:calc(-2.80rem + 1px);width:18px;height:18px;top:calc(.25rem + 1px);}
.custom-switch.switch-big1 .custom-control-input:checked~.custom-control-label::after{transform:translateX(1rem);}
.custom-switch.switch-big1.switch-text .custom-control-label::before{height:2rem;width:3.30rem;content:"OFF";font-size:1rem;line-height:1.9;font-weight:bold;text-align:right;padding-right:0.2rem;color:#9ea0a3;}
.custom-switch.switch-big1.switch-text .custom-control-label::after{height:27px;}
.custom-switch.switch-big1.switch-text .custom-control-input:checked~.custom-control-label::before{content:"ON";text-align:left;padding-left:0.3rem;color:#fff;}
.custom-switch.switch-big1.switch-text .custom-control-input:checked~.custom-control-label::after{transform:translateX(2rem);}
.flex-row, .email-wrapper .message-body .attachments-sections ul li, .navbar .navbar-menu-wrapper .navbar-nav{flex-direction:row !important;}
.required:before{content:"*";color:#0C3;font-family:"Trebuchet MS", Arial, Helvetica, sans-serif;font-size:16px;font-style:normal;font-weight:bold;font-variant:normal;padding-right:3px;line-height:10px;margin-left:-8px;margin-top:3px;position:absolute;}
@media (min-width:768px){.col-form-label{font-weight:normal;text-align:right;padding-bottom:0;}}
select.form-control-sm{height:28px;}
.datepicker td, .datepicker th{width:1.5em;height:1.5em;}
.modal-title{line-height:1.7;}
.nav-link{padding:.25rem .5rem;}
.swal2-footer{font-size:0.875rem;}
.swal2-input-label{font-weight:bolder;}
.tab-content{}
.hidden{display:none;}
input.clearable{background:#fff url(data:image/gif;base64,R0lGODlhBwAHAIAAAP///5KSkiH5BAAAAAAALAAAAAAHAAcAAAIMTICmsGrIXnLxuDMLADs=) no-repeat right -10px center;padding-right:18px !important;/* Use the same right padding (18) in jQ! */transition:background 0.4s;} td[role="gridcell"] input.clearable{padding-right:12px !important;}
input.clearable.x{background-position:right 5px center;} td[role="gridcell"] input.clearable.x{background-position:right 2px center;}
input.clearable.onX{cursor:pointer;}
input.clearable:focus,input.search:focus ,select:active:not(:disabled),/*select:hover,*/.text:focus,.focus:focus,input.editable:focus:not(.inline-edit-cell), .form-control:enabled:not([readonly]):not(.inline-edit-cell):focus, .form-control-aux:enabled:not([readonly]):not(.inline-edit-cell):focus{background-color:#FF9 !important;/* border-color:#333;color:#333;*/}
.info-feedback{width:100%;font-size:80%;color:#4f8ae5;}
.invalid-feedback,.info-feedback{margin-top:0;margin-bottom:0.1rem;}
.custom-file-label+.invalid-feedback,.custom-file-label+.info-feedback{margin-top:4px;}
.custom-control:not(.custom-switch) .custom-control-label::before{width:1.25rem;height:1.25rem;}
.custom-checkbox .custom-control-input:checked~.custom-control-label::after{font-family:"Glyphicons Halflings";font-style:normal;font-weight:400;line-height:1;-webkit-font-smoothing:antialiased;content:"\e013";color:white;margin:3px 2px;}
.custom-control-input{top:10px;}
.card-header.page-title>ul>li>a>h3{line-height:1.2;padding:0 5px;color:#2b3035;}
.card-header.page-title>ul>li:first-child{margin-left:10px;}
.page-action-btn{position:absolute;text-align:right;width:99%;padding-top:8px;}
.card.card-sm .card-header, .card.card-sm .card-footer{padding:.25rem .75rem;line-height:1.7;}
input.readonly:read-only,.readonly:disabled{background-color:#fff !important;}
input.form-control[type='number']:not(.nospin),.ui-jqgrid td[role='gridcell'] input[type='number']:not(.nospin){padding-right:0 !important;}
input.form-control[type='number']::-webkit-outer-spin-button,input.form-control[type='number']::-webkit-inner-spin-button, .ui-jqgrid td[role='gridcell'] input[type='number']::-webkit-outer-spin-button,.ui-jqgrid td[role='gridcell'] input[type='number']::-webkit-inner-spin-button{margin-left:5px;}
input.form-control.nospin[type='number']::-webkit-outer-spin-button,input.form-control.nospin[type='number']::-webkit-inner-spin-button ,.ui-jqgrid td[role='gridcell'] input.nospin[type='number']::-webkit-outer-spin-button,.ui-jqgrid td[role='gridcell'] input.nospin[type='number']::-webkit-inner-spin-button{-webkit-appearance:none;margin:0;}
input.form-control.nospin[type='number'],.ui-jqgrid td[role='gridcell'] input.nospin[type='number']{-moz-appearance:textfield;}
input.form-control.noicon::-webkit-calendar-picker-indicator,.ui-jqgrid td[role='gridcell'] input.noicon[type='time']::-webkit-calendar-picker-indicator{display:none;}
input.form-control.noicon[type="time"],.ui-jqgrid td[role='gridcell'] input.noicon[type='time']{-webkit-appearance:none;-moz-appearance:textfield;appearance:none;}
hr{margin-top:0.3rem;margin-bottom:0.3rem;}
.jqgrow/*:not(.table-active)*/ td .editable:enabled:not([readonly]):focus{background-color:#FF9 !important;}
.form-control:invalid:focus{border-color:#e1819b;outline:0;-webkit-box-shadow:inset 0 1px 1px rgba(0,0,0,.075), 0 0 8px rgba(233, 102, 165, 0.53);box-shadow:inset 0 1px 1px rgba(0,0,0,.075), 0 0 8px rgba(233, 102, 208, 0.48);}
.nowrap{white-space:nowrap !important;}
.overwritten{display:block !important;opacity:0 !important;position:absolute !important;width:calc(100% - 30px) !important;z-index:-1;top:0;}
.alert-darker{color:white;background-color:#343a40;border-color:#c6c8ca;}
.alert-none{background-color:white !important;}
.form-control::-webkit-input-placeholder{color:#6c757d;opacity:0.5}.form-control::-moz-placeholder{color:#6c757d;opacity:0.5}.form-control:-ms-input-placeholder{color:#6c757d;opacity:0.5}.form-control::-ms-input-placeholder{color:#6c757d;opacity:0.5}.form-control::placeholder{color:#6c757d;opacity:0.5}
.modal .modal-dialog .modal-content .modal-body.no-padding{padding:0 5px;}
span.form-control{height:35px;}
div:not(.input-group):not(.form-label-group)>span.form-control.form-control-sm{height:27px;}
.btn-group_state .btn-outline-info:not(.active):not(:focus):not(:hover){background-color:white;margin-left:0px;}
.invalid-alert{color:red !important;}
.txt-right{text-align:right !important;}
.txt-left{text-align:left !important;}
.form-row:not(._filters:last-child):not(:empty){padding-bottom:5px;}
.modal-body .form-row:not(._filters):not(:empty),.form-small .form-row:not(._filters):not(:empty){padding-bottom:2px;}
.modal-body fieldset.ssw,.form-small fieldset.ssw{margin-bottom:2px;}
.modal.over{z-index:1052 !important;}.modal-backdrop.over{z-index:1051 !important;}
.modal.minus{animation:move 0.75s;animation-fill-mode:forwards;}
@-webkit-keyframes move{0% {z-index:1050;opacity:1} 50% {opacity:0.7} 100% { z-index:1039;opacity:1}}
@keyframes move{0% {z-index:1050;opacity:1} 50% {opacity:0.7} 100% {z-index:1039;opacity:1}}
.input-group-append select.form-control-sm,.input-group-prepend select.form-control-sm{line-height:1.0;font-size:15px;}
.no-radius{border-radius:0;}
.no-border{border:0 !important;}
select:required:invalid,.form-row select.form-control-sm:not(.form-control):required:invalid,.form-row select.form-control-aux:required:invalid{color:#6c757d8c;}
select:required:invalid>option{color:#212529;}
span.form-control{overflow-x:hidden;}
span.form-control.textarea{display:inline-table;max-height:100px;}
.form-sm span.form-control-sm,.form-sm select.form-control-sm,.form-sm input.form-control-sm,.form-sm .input-group-text,.form-sm .input-group-sm :input{height:26px;line-height:16px;}
.form-sm label.control-label-sm{/*padding-top:calc(.175rem + 1px);*/}
.col-form-label{line-height:1.2;}
.font-9{font-size:9px;}
.form-control-sm,.input-group-sm .form-control-sm{padding:.25rem .25rem;}
.form-row hr{width:100%;}
span.form-control-sm{padding:.28rem .25rem 0 .25rem !important;}
.required-legend{opacity:0.7;font-size:11px;}
.back-square{background:url(../img/main-back.png);}
.pull-right{float:right;}.pull-left{float:left;}
.btn.btn-xs,.input-group-xs .btn{padding:2px 0.5rem !important;font-size:13px;}
.input-group-xs .form-control,.input-group-xs .btn{height:23px;}
.btn.btn-xs.btn-smaller{padding:0px 0.5rem !important;font-size:12px !important;}.btn.btn-xs.btn-smaller i{top:0px !important;}
.custom-file.custom-file-sm .custom-file-input{height:31px;} .custom-file.custom-file-sm label{height:31px;line-height:1.3;}.custom-file.custom-file-sm .custom-file-input~.custom-file-label[data-browse]::after{height:29px;line-height:1.3;}
.form-control.is-invalid,.form-control.has-info,.was-validated .form-control:invalid{padding-right:25px !important;}
select.form-control.is-invalid{background-position:center right calc(.375em + .75rem);}
.form-control.has-info:not(.is-invalid):not(.is-valid){border-color:#5fbaff;background-repeat:no-repeat;background-position:center right calc(.375em + .1875rem);background-size:1.25rem;background-image:url('data:image/svg+xml,%3Csvg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 16 16" fill="%23489bbd"%3E%3Ccircle cx="8" cy="8" r="7" stroke="%23489bbd" stroke-width="1.5" fill="none"/%3E%3Crect x="7.25" y="4.25" width="1.5" height="1.75" fill="%23489bbd"/%3E%3Crect x="7.25" y="6.75" width="1.5" height="5" fill="%23489bbd"/%3E%3C/svg%3E');}
.form-control.has-info:not(.is-invalid):not(.is-valid)~.invalid-feedback,.form-control.has-info:not(.is-invalid):not(.is-valid)~.info-feedback{display:block;color:#4f8ae5;}
span.form-control.readonly{background-color:#e9ecef;opacity:1;}
.scrollable-tree{height:auto;max-height:350px;min-height:150px;overflow-x:hidden;}
.scrollable-tree::-webkit-scrollbar{-webkit-appearance:none;width:8px;}
.scrollable-tree::-webkit-scrollbar-thumb{border-radius:3px;background-color:lightgray;-webkit-box-shadow:0 0 1px rgba(255,255,255,.75);}
.typing-message{margin-top:-15px;margin-left:-60px;position:absolute;width:100%;text-align:center;}
.typing-indicator{width:auto;display:inline-block;margin:0 auto;margin-left:5px;}
.typing-indicator span{height:7px;width:7px;float:left;margin:0 1px;background-color:#9E9EA1;display:block;border-radius:50%;opacity:0.4;}
.typing-indicator span:nth-of-type(1){-webkit-animation:1s blink infinite 0.3333s;animation:1s blink infinite 0.3333s;}
.typing-indicator span:nth-of-type(2){-webkit-animation:1s blink infinite 0.6666s;animation:1s blink infinite 0.6666s;}
.typing-indicator span:nth-of-type(3){-webkit-animation:1s blink infinite 0.9999s;animation:1s blink infinite 0.9999s;}
@-webkit-keyframes blink{50%{opacity:1;} }
@keyframes blink{50%{opacity:1;} }
.note-editor.note-airframe .note-editing-area .note-editable, .note-editor.note-frame .note-editing-area .note-editable{padding:5px;}
.note-editor .note-toolbar>.note-btn-group, .note-popover .popover-content>.note-btn-group{margin-top:2px;margin-right:2px;}
.note-editor .note-toolbar, .note-popover .popover-content{padding:0 0 2px 2px;}
.note-btn-group .note-btn{padding:.18rem .40rem;}
.jstree-icon.glyphicon{top:-1px;}
a.chat-list-item{text-decoration:none;}
.ui-tooltip{max-width:420px;}
.noHighlight .jstree-default .jstree-clicked, noHighlight .jstree-default .jstree-disabled.jstree-clicked{background:none;box-shadow:none;color:#007eff !important;}
.jqTags .badge{padding:.15em .5em .15em;margin-right:3px;margin-bottom:2px;}
.bootstrap-tagsinput input{max-width:100% !important;}
.swal2-styled.swal2-confirm:not(.btn){background-color:#3085d6;}
.swal2-actions .btn{padding:11px 15px;margin-top:5px;}
.swal2-actions .btn-danger{background-color:#c82333 !important;border-color:#bd2130 !important;}
.swal2-actions .btn-warning{background-color:#e1ae17 !important;border-color:#ffc104 !important;}
.swal2-actions .btn-success{background-color:#28a745 !important;border-color:#28a745 !important;}
/*jose*/
fieldset.ssw{min-width:0;padding:5px 10px;margin:0;border:1px solid #ddd;margin-bottom:10px;}
legend.ssw, .legend.ssw{border-radius:4px;color:#79787b;font-size:11px;font-weight:bold;margin-left:-4px;padding:3px 5px 0px 4px;width:auto;margin-bottom:0;background-color:white;}
.legend.ssw{float:right;margin-top:-25px;position:absolute;right:15px;background-color:white;}
input[type=checkbox]._big,input[type=radio]._big,._big>input[type=checkbox],._big>input[type=radio]{vertical-align:middle;-ms-transform:scale(1.3);-moz-transform:scale(1.3);-webkit-transform:scale(1.3);-o-transform:scale(1.3);margin-top:0px;}
label ._big{margin-top:-3px;}
.datepicker{z-index:9999 !important;}
.swal2-container+.datepicker{z-index:10011 !important;}
.swal2-html-container>.swal2-input{display:flex;width:calc(100% - 6px);margin:0 3px 10px;}
.form-group{margin-bottom:0.3rem;}
.btn-group-icon>label{padding-left:28px;padding-right:5px;}
.btn-group-icon>label:before{font-family:"Font Awesome 5 Pro";content:"\f0c8";font-size:22px;position:absolute;margin-left:-23px;margin-top:-4px;}
.btn-group-icon>label.active:before{content:"\f14a";}
.hcenter{text-align:center;} .form-row .hcenter{justify-content:center;}
.vcenter{white-space:nowrap;}.vcenter>*{white-space:normal;}.vcenter:before, .vcenter>*{display:inline-block;vertical-align:middle;}.vcenter:before{content:"";height:100%;}.vcenter{word-spacing:.03em;}.vcenter>*{word-spacing:normal;} .form-row .vcenter{align-items:center;}
.ui-jqgrid td[role="gridcell"]>.other-title:empty{height:100%;}
.ui-jqgrid td[role="gridcell"]>.other-title.input-group>.input-group-append>button{padding:0;}
.modalImage .close{padding:0px 6px 3px 6px;margin-top:1px;margin-right:-5px;opacity:1;}
select.disabled{background-color:#e9ecef;opacity:1;pointer-events:none;touch-action:none;}
.upper{text-transform:uppercase;}
.alert-warning{border-color:#e6c55c;}
.nav-item input[type="checkbox"]{position:absolute;float:left;/*top:9px;*/margin-top:-22px;margin-left:8px;}
.nav-item a.nav-link-check{padding-left:26px;}
.custom-select{padding-right:1.25rem;background:url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 4 5'%3e%3cpath fill='%23343a40' d='M2 0L0 2h4zm0 5L0 3h4z'/%3e%3c/svg%3e") no-repeat right .4rem center/8px 10px;}
.input-group-lg>.custom-select, .input-group-sm>.custom-select{padding-right:1.25rem;}
.input-group-sm>.custom-select/*, .input-group-sm>.form-control:not(textarea)*/{height:inherit;min-height:28.09px;}
.card .card-body{padding:0.5rem 0.5rem;}
.preview-item-content>.preview-subject:not(.view_others){width:auto;overflow-x:hidden;height:12px;text-overflow:ellipsis;margin-bottom:0;margin-top:5px;}
@media(min-width: 991px){.navbar .navbar-menu-wrapper .navbar-nav:not(.navbar-nav-right) .nav-item.dropdown .navbar-dropdown{left:0;right:auto;}}
.text-justify{text-align:justify;text-justify:inter-word;}
/* JQGRID */
.jqg-third-row-header .ui-th-div{top:auto !important;}
.ui-jqgrid-htable.table-dark th,.ui-jqgrid-ftable.table-dark td{border-right:1px solid #858586;}
.ui-jqgrid td[role="gridcell"]>i.glyphicon, .ui-jqgrid td[role="gridcell"]>i.fas, .ui-jqgrid td[role="gridcell"]>i.far{/*min-height:24px;*/}
.ui-jqgrid td[role="gridcell"]>i.glyphicon:before,.ui-jqgrid td[role="gridcell"]>i.fas:before, .ui-jqgrid td[role="gridcell"]>i.far:before{vertical-align:middle;}
.ui-jqgrid .ui-paging-pager td{padding-top:5px;}
.ui-jqgrid .ui-pager-control .ui-pager-table td{padding:3px;}
.add-group.btn,.add-rule.btn,.delete-rule.btn,.delete-group.btn{height:28px;}.delete-rule.btn,.delete-group.btn{width:22px;}
.ui-jqgrid-view .table-striped-ssw>tbody>tr:nth-child(odd):not(.table-danger):not(.table-success):not(.table-warning):not(.table-info):not(.ui-subgrid){background-color:rgba(69, 180, 255, 0.16);}
.ui-jqgrid-view .table-striped-ssw>tbody>tr:nth-child(odd):not(.table-danger):not(.table-success):not(.table-warning):not(.table-info):not(.ui-subgrid):not(.table-active):not(.table-primary) td.frozen-col-class:not(.jqgrid-rownum){background-color:#E1F2FE !important;}
.ui-jqgrid-view .ui-jqgrid-btable>tbody>tr.table-active>td:not(.jqgrid-rownum), .ui-jqgrid-view .ui-jqgrid-btable>tbody>tr.table-active>th{background-color:rgba(194, 163, 245, 0.56) !important;color:#000 !important;}
.ui-jqgrid-view .ui-jqgrid-btable>tbody>tr.table-active>td.frozen-col-class:not(.jqgrid-rownum){background-color:#D6C6F1 !important;color:#000 !important;}
.ui-jqgrid .table-primary td.frozen-col-class:not(.jqgrid-rownum){background-color:#b8daff !important;}
.ui-jqgrid td.jqgrid-rownum{font-size:10px;background-color:#343a40 !important;color:white;/*border-color:#454d55 !important;*/}
.ui-jqgrid .ui-pager-control .ui-pager-table.table-sm td{padding:1px 3px;}
.ui-jqgrid td>.btn-xs{padding:0.25rem 0.75rem;}.ui-jqgrid td>.btn-xs i{line-height:0.5;}
.ui-jqgrid-btable:focus{outline:0;}
.ui-common-table.table-sm:not(.ui-jqgrid-ftable):not(.ui-pg-table)>tbody>tr:not(.jqgfirstrow)>td{padding:2px 3px;height:26px;}
.ui-common-table.table-sm>tbody>tr>td>div>.form-control:not(textarea){padding:0 1px !important;}
.ui-common-table.table-sm>tbody>tr>td>div>.form-control.clearable{padding-right:13px !important;}
.ui-common-table.table-sm>tbody>tr>td>div.input-group>.form-control{height:21px;}
.ui-common-table.table-sm>tbody>tr>td>div.input-group>span>button,.ui-common-table.table-sm>tbody>tr>td>div.input-group>span>span{padding:0 4px;height:21px;}
.ui-common-table.table-sm>tbody>tr>td>div.input-group>span>button .glyphicon{top:0 !important;}
.ui-jqgrid td[role='gridcell']>div>textarea.form-control{width:100%;padding:3px 1px !important;white-space:pre;resize:none;overflow:hidden;height:21px;min-height:21px;line-height:1;}
.ui-jqgrid-caption.table-sm{padding:0px 8px;min-height:23px;}
.ui-jqgrid-caption.table-xs{height:19px;min-height:19px;}
.ui-jqgrid-caption.table-xs>.ui-jqgrid-title{line-height:19px;}
.ui-jqgrid-htable.table-xs th{padding:.2rem;}
.ui-common-table.table-xs>tbody>tr:not(.jqgfirstrow)>td{height:20px !important;padding:0 3px !important;}
.ui-common-table.table-xs>tbody>tr.footrow>td{height:18px !important;}
.ui-common-table.table-xs td>.btn-xs{padding:0.1rem 0.6rem;}
.ui-jqgrid-pager .ui-pg-table .ui-pg-button:not(.ui-disabled):hover, .ui-jqgrid-toppager .ui-pg-table .ui-pg-button:not(.ui-disabled):hover{color:#1a382f;}
.ui-jqgrid-pager .ui-pg-table .ui-pg-button.ui-disabled:hover, .ui-jqgrid-toppager .ui-pg-table .ui-pg-button.ui-disabled:hover{background-color:transparent;}
.ui-jqgrid .ui-jqgrid-htable .ui-th-div .s-ico{float:left;margin-left:-17px;}
.ui-jqgrid .ui-jqgrid-htable .ui-th-div .s-ico[style=""]{}
.ui-jqgrid .ui-jqgrid-htable thead th{padding-left:5px;}
.alwaysShow{display:inline !important;}
.ui-jqgrid .ui-jqgrid-htable .ui-th-div:not(.ui-jqgrid-not-sortable){padding-left:15px;}
.ui-jqgrid-not-sortable{cursor:default !important;}
.ui-jqgrid .loading{top:44%;padding:.75rem 1.25rem .75rem 2.50rem;margin:0;font-weight:bold;color:#155724;background-color:#d4edda;border:1px solid transparent;border-color:#c3e6cb;border-radius:.25rem;background-image:url(../img/loader-32x/loader3.gif);background-repeat:no-repeat;background-position:5% 50%;}
.ui-jqgrid .table-bordered th.ui-th-ltr{text-align:center;}
.ui-jqgrid tr.jqgroup{background-color:#c7c756 !important;} .ui-jqgrid tr.jqgroup[class$="ghead_1"]{background-color:#e6e67d !important;} .ui-jqgrid tr.jqgroup[class$="ghead_2"]{background-color:#ffff87 !important;}.ui-jqgrid tr.jqgroup>td{/*padding:4px 10px !important;*/ }
.ui-jqgrid .jqfoot[jqfootlevel="2"]{background-color:#fdf5ef !important;} .ui-jqgrid .jqfoot[jqfootlevel="1"]{background-color:#ffeada !important;} .ui-jqgrid .jqfoot[jqfootlevel="0"]{background-color:#f1cbae !important;} .ui-jqgrid .jqfoot td:content('&nbsp;'){background-color:red !important;}
.ui-jqgrid .jqfoot td[aria-describedby$="_rn"]{background-color:white !important;}
.ui-jqgrid tr>td .highlight{background-color:#FFFF00;padding:2px 0 2px 0;font-weight:bold;}
.ui-jqgrid tr.table-primary>td .highlight{background-color:#0595e2;color:white;}
.ui-jqgrid-bdiv .alert{z-index:1;}
.ui-jqgrid .ui-jqgrid-titlebar{background-color:#4c7094;color:white;font-weight:bolder;}
.ui-jqgrid tr:not(.table-primary):not(.footrow):not(.jqfoot)>.columnHighlight1{background-color:#77cddb;}.footrow .columnHighlight1:not(.noSum), .jqfoot .columnHighlight1:not(.noSum){background-color:rgba(119, 205, 219, 0.45);}
.ui-jqgrid tr:not(.table-primary):not(.footrow):not(.jqfoot)>.columnHighlight2{background-color:#cca6ef;}.footrow .columnHighlight2:not(.noSum), .jqfoot .columnHighlight2:not(.noSum){background-color:rgba(204, 166, 239, 0.45);}
.ui-jqgrid tr:not(.table-primary):not(.footrow):not(.jqfoot)>.columnHighlight3{background-color:beige;}.footrow .columnHighlight3:not(.noSum), .jqfoot .columnHighlight3:not(.noSum){background-color:rgba(245, 245, 220, 0.45);}
.ui-jqgrid tr:not(.table-primary):not(.footrow):not(.jqfoot)>.columnHighlight4{background-color:burlywood;}.footrow .columnHighlight4:not(.noSum), .jqfoot .columnHighlight4:not(.noSum){background-color:rgba(222, 184, 135, 0.45);}
.ui-jqgrid tr:not(.table-primary):not(.footrow):not(.jqfoot)>.columnHighlight5{background-color:black;color:white;}.footrow .columnHighlight5:not(.noSum), .jqfoot .columnHighlight5:not(.noSum){background-color:rgba(0, 0, 0, 0.45);}
.ui-jqgrid tr:not(.table-primary):not(.footrow):not(.jqfoot)>.columnHighlight6{background-color:#ffc5f2;}.footrow .columnHighlight6:not(.noSum), .jqfoot .columnHighlight6:not(.noSum){background-color:rgba(255, 197, 242, 0.45);}
.ui-jqgrid tr:not(.table-primary):not(.footrow):not(.jqfoot)>.columnHighlight7{background-color:#8ecaff;}.footrow .columnHighlight7:not(.noSum), .jqfoot .columnHighlight7:not(.noSum){background-color:rgba(142, 202, 255, 0.45);}
.ui-jqgrid tr:not(.table-primary):not(.footrow):not(.jqfoot)>.columnHighlight8{background-color:#94ffdc;}.footrow .columnHighlight8:not(.noSum), .jqfoot .columnHighlight8:not(.noSum){background-color:rgba(148, 255, 220, 0.45);}
.ui-jqgrid tr:not(.table-primary):not(.footrow):not(.jqfoot)>.columnHighlight9{background-color:#ffc8c8;}.footrow .columnHighlight9:not(.noSum), .jqfoot .columnHighlight9:not(.noSum){background-color:rgba(249, 171, 171, 0.45);}
.ui-jqgrid tr:not(.table-primary):not(.footrow):not(.jqfoot)>.columnHighlight10{background-color:#ffff34;}.footrow .columnHighlight10:not(.noSum), .jqfoot .columnHighlight10:not(.noSum){background-color:rgba(255, 255, 52, 0.45);}
.ui-jqgrid tr:not(.table-primary):not(.footrow):not(.jqfoot)>.columnHighlight11{background-color:#ccffcb;}.footrow .columnHighlight11:not(.noSum), .jqfoot .columnHighlight11:not(.noSum){background-color:rgba(111, 243, 109, 0.45);}
.ui-jqgrid tr:not(.table-primary):not(.footrow):not(.jqfoot)>.columnHighlight12{background-color:#FFF2CC;}.footrow .columnHighlight12:not(.noSum), .jqfoot .columnHighlight12:not(.noSum){background-color:rgba(255, 242, 204, 0.45);} /* Amarillo claro */
.ui-jqgrid tr:not(.table-primary):not(.footrow):not(.jqfoot)>.columnHighlight13{background-color:#FFEFDE;}.footrow .columnHighlight13:not(.noSum), .jqfoot .columnHighlight13:not(.noSum){background-color:rgba(255, 239, 222, 0.45);} /* Naranja claro */
.ui-jqgrid tr:not(.table-primary):not(.footrow):not(.jqfoot)>.columnHighlight14{background-color:#F9FCE5;}.footrow .columnHighlight14:not(.noSum), .jqfoot .columnHighlight14:not(.noSum){background-color:rgba(249, 252, 229, 0.45);} /* Verde claro */
.ui-jqgrid tr:not(.table-primary):not(.footrow):not(.jqfoot)>.columnHighlight15{background-color:#E5F0FC;}.footrow .columnHighlight15:not(.noSum), .jqfoot .columnHighlight15:not(.noSum){background-color:rgba(229, 240, 252, 0.45);} /* Azul claro */
.ui-jqgrid tr:not(.table-primary):not(.footrow):not(.jqfoot)>.columnHighlight16{background-color:#FFF1F7;}.footrow .columnHighlight16:not(.noSum), .jqfoot .columnHighlight16:not(.noSum){background-color:rgba(255, 241, 247, 0.45);} /* Magenta claro */
.ui-jqgrid tr:not(.table-primary):not(.footrow):not(.jqfoot)>.columnHighlight17{background-color:#FCFBF4;}.footrow .columnHighlight17:not(.noSum), .jqfoot .columnHighlight17:not(.noSum){background-color:rgba(252, 251, 244, 0.45);} /* Amarillo claro 2 */
.ui-jqgrid tr:not(.table-primary):not(.footrow):not(.jqfoot)>.columnHighlight18{background-color:#F5F0FF;}.footrow .columnHighlight18:not(.noSum), .jqfoot .columnHighlight18:not(.noSum){background-color:rgba(245, 240, 255, 0.45);} /* Morado claro */
.ui-jqgrid tr:not(.table-primary):not(.footrow):not(.jqfoot)>.columnHighlight19{background-color:#e4ffeb;}.footrow .columnHighlight19:not(.noSum), .jqfoot .columnHighlight19:not(.noSum){background-color:rgba(228, 255, 235, 0.45)} /* Verde claro 2 */
.ui-jqgrid tr:not(.table-primary):not(.footrow):not(.jqfoot)>.columnHighlight20{background-color:#ffecec;}.footrow .columnHighlight20:not(.noSum), .jqfoot .columnHighlight20:not(.noSum){background-color:rgba(255, 236, 236, 0.45)} /* Rojo claro */
td[role="gridcell"]:has(>div.yes){background-color:#dbfff3;}td[role="gridcell"]:has(>div.no){background-color:#ffdbe3;}
.ui-jqgrid .ui-jqgrid-resize-ltr{margin:-6px -2px -2px 0;}
.ui-jqgrid th.ui-th-ltr{vertical-align:middle;}
.ui-jqgrid tr#norecs>td{padding:0;font-size:0;}
.ui-jqgrid tr td>.img-src>img{margin:-3px 4px -3px 0;height:22px;width:24px;}
.ui-jqgrid-bdiv .alert{padding:8px 15px;}
.ui-jqgrid tr.jqfoot td{overflow:hidden;}
.ui-jqgrid .overwritten{width:auto !important;}
.ui-jqgrid .ui-jqgrid-breakword th.ui-th-column div{word-wrap:break-word;white-space:pre-wrap;white-space:-moz-pre-wrap;white-space:-pre-wrap;white-space:-o-pre-wrap;overflow:hidden;height:auto !important;vertical-align:middle;}
.ui-overlay{opacity:0.25;background-color:#fff}
.ui-jqgrid .loading{z-index:1001;}
.ui-jqgrid .modal,#info_dialog{pointer-events:auto;background-color:#fff;background-clip:padding-box;border:1px solid rgba(0,0,0,.2);border-radius:.3rem;outline:0;}
#info_dialog .ui-resizable-handle{display:none !important;}
.ui-jqgrid .ui-jqgrid-htable .ui-search-toolbar th[role="columnheader"]{padding:0;}
.ui-jqgrid .ui-jqgrid-htable .ui-search-toolbar th[role="columnheader"] input{border-radius:0;border-top:0;border-left:0;border-right:0;}
.ui-jqgrid .ui-jqgrid-htable .ui-search-toolbar .clearsearchclass{color:#fff;}
.table-dark.ui-jqgrid-htable th.frozen-col-class,.table-dark.ui-jqgrid-ftable td.frozen-col-class{background-color:#343a40 !important;}
.ui-jqgrid-full-size{position:fixed;top:0;left:0;z-index:1040;background-color:white;width:100%;height:100%;}
.ui-jqgrid-full-size-scroll{padding:0 15px 0 0 !important;margin:0 15px 0 0 !important;overflow-y:scroll;overflow-x:hidden;}
.footrow td.bgNoRight, .jqfoot td.bgSumNoRight{border-right-color:transparent !important;}
.smaller>.ui-jqgrid>div>.ui-jqgrid-bdiv{overflow-x:hidden;}
.ui-jqgrid-labels.jqg-second-row-header i.far,.ui-jqgrid-labels.jqg-third-row-header i.far{padding-top:4px;}
.glyphicon{top:2px;}.ui-pg-div .glyphicon{top:1px;}
.btn-group>.btn{line-height:1.1 !important;}
.btn-group>.btn-group:not(:first-child),.btn-group>.btn:not(:first-child){margin-left:0;}
.btn-group-xs.btn-group-icon>label:before{font-size:14px;margin-top:0px;}
.btn-group-xs>.btn{line-height:0.5 !important;}
.btn-purple{color:#fff;background-color:#6481ff;border-color:#6481ff;}
.btn-purple:hover{color:#fff;background-color:#4748bf;border-color:#2a2ba9;}
.btn-purple.focus,.btn-purple:focus{box-shadow:0 0 0 .2rem rgba(79,159,255,.5);}
.btn-purple.disabled,.btn-purple:disabled{color:#fff;background-color:#8f90f9;border-color:#8f90f9;}
.btn-purple:not(:disabled):not(.disabled).active,.btn-purple:not(:disabled):not(.disabled):active,.show>.btn-purple.dropdown-toggle{color:#fff;background-color:#4748bf;border-color:#4748bf;}
.btn-purple:not(:disabled):not(.disabled).active:focus,.btn-purple:not(:disabled):not(.disabled):active:focus,.show>.btn-purple.dropdown-toggle:focus{box-shadow:0 0 0 .2rem rgba(79,159,255,.5);}
.datepicker .cw{color:lightcoral}
.input-daterange input:not(.hasDatepicker){text-align:initial;}
.form-control-sm._filter_oper_single{font-size:.875rem !important;}
.form-control-placeholder{color:#c7c7c7;}
.form-row select.form-control-sm:not(.form-control),.form-row select.form-control-aux{border:1px solid #ced4da;}
.form-row select.form-control-sm:not(.form-control):focus,.form-row select.form-control-aux:focus,.dropdown-menu button:focus{border-color:#80bdff;box-shadow:0 0 0 0.2rem rgba(0,123,255,.25);outline:0;}
.ui-jqgrid-btable td[role=gridcell].of{overflow:visible !important;white-space:normal !important;}
.fa-imagen:before{content:"\f03e";color:#478fca}.fa-pdf:before{content:"\f1c1";color:#dd5a43;}.fa-archivo:before{content:"\f15b";}.fa-nuevo:before{content:"\f0a3";color:#ddcb83;font-weight:900;}.btn-file>i:before{color:#fff;}
.dropdown-menu{padding:.25rem 0;}
.dropdown-submenu{position:relative;white-space:normal;width:100%;}
.dropdown-submenu>a.dropdown-item:before{display:inline-block;margin-right:.255em;vertical-align:.255em;margin-top:4px;margin-left:-15px;content:"";position:absolute;border-top:.3em solid transparent;border-right:.3em solid;border-bottom:.3em solid transparent;}
.dropdown-submenu>.dropdown-menu{margin-left:1px;}
.dropdown-submenu:hover>.dropdown-menu{display:block;}
.dropdown-item:focus:not(:active),.dropdown-item:hover:not(:active){background-color:#c8dff5;}
.dropdown-content .dropdown-menu .dropdown-item i{left:-5px;position:relative;}
.dropleft>button.btn-outline-warning{color:#fff;background-color:#17a2b8;border-color:#17a2b8;}
.dropdown-content .dropdown-menu,.dropdown-content .dropdown-submenu{top:0;left:auto;margin-top:0;margin-right:.125rem;}.dropdown-content .dropdown-submenu>.dropdown-menu{right:100%;margin-right:0px;}
.ui-jqgrid-btable .dropleft.show>.btn-outline-warning.dropdown-toggle:focus{box-shadow:none;}
.dropdown-content>.dropdown-menu{z-index:9999;}
.dropdown-menu .dropdown-item.mediaFile{max-width:200px;overflow-x:hidden;text-overflow:ellipsis;}
.custom-file .custom-file-label{overflow:hidden;line-height:1.4rem;padding-left:.25rem;color:#c7c7c7;}
.custom-file .custom-file-input:valid ~ .custom-file-label{color:#495057;}
.table-blue:not(.ui-jqgrid-btable),.table-blue td.jqgrid-rownum{color:#fff !important;background-color:#4584c3 !important;}
.table-green:not(.ui-jqgrid-btable),.table-green td.jqgrid-rownum{color:#fff !important;background-color:#268459 !important;}
.table-red:not(.ui-jqgrid-btable),.table-red td.jqgrid-rownum{color:#fff !important;background-color:#bd4040 !important;}
.table-purple:not(.ui-jqgrid-btable),.table-purple td.jqgrid-rownum{color:#fff !important;background-color:#8740bd !important;}
.table-orange:not(.ui-jqgrid-btable),.table-orange td.jqgrid-rownum{color:#fff !important;background-color:#a5821f !important;}
.input-group>.input-group-append>.dropleft>.btn{border-top-left-radius:0;border-bottom-left-radius:0;}
.input-group-sm>.input-group-append>.dropleft>.btn{line-height:1.6;}
span.form-control.input-month-show:after{content:"\e114";float:right;font-family:'Glyphicons Halflings';font-size:smaller;margin-right:-2px;margin-top:3px;}
.noselect{-webkit-touch-callout:none;-webkit-user-select:none;-khtml-user-select:none;-moz-user-select:none;-ms-user-select:none;user-select:none;}
.form-control-color{width:3rem;height:2rem;padding:0 1px;}
.form-control-color:not(:disabled):not([readonly]){cursor:pointer;}
@media(min-width:1200px){.input-group-append.d-xl-block,.input-group-prepend.d-xl-block{display:flex !important;} }
@media(min-width:992px){.input-group-append.d-lg-block,.input-group-prepend.d-lg-block{display:flex !important;} }
@media(min-width:768px){.input-group-append.d-md-block,.input-group-prepend.d-md-block{display:flex !important;} }
@media(min-width:576px){.input-group-append.d-sm-block,.input-group-prepend.d-sm-block{display:flex !important;} }
.grecaptcha-badge{visibility:hidden;display:none;}
input[type=time].form-control-sm, .input-group-sm input[type=time].form-control-sm{padding:0.15rem 0.25rem;}
.loading.ui-scroll-popup{width:auto;margin-top: 30px}
.ui-jqgrid .ui-jqdialog.modal-content{height:auto !important;}
.ui-jqgrid .ui-jqdialog {z-index:1041 !important;}
.FormGrid .DataTD span{width:auto !important;display:block;}
.popover{z-index:1050;}
.ui-jqgrid-bdiv tr:not(.jqfoot) .jqgrid-td-click:not(:empty){cursor:pointer;}
.ui-jqgrid-bdiv tr:not(.jqfoot) .jqgrid-td-click:not(:empty):hover{text-decoration:underline;color:#007bff !important;}
.btn-alt-placeholder{background-color:#9f6cc196;color:white;position:absolute;text-align:center !important;font-weight:bolder;font-size:25px;}
.swal2-actions .btn-alt-placeholder{margin-top:5px;margin-left:5px;}
.swal2-container{z-index:10001 !important;}
.phpdebugbar-widgets-sqlqueries .phpdebugbar-hljs-keyword,.phpdebugbar-widgets-sqlqueries .phpdebugbar-hljs-built_in{text-transform:uppercase;}
div.phpdebugbar .phpdebugbar-widgets-orange{color:#c37e00;}div.phpdebugbar[data-theme=dark] .phpdebugbar-widgets-orange{color:orange;}
div.phpdebugbar .phpdebugbar-widgets-green{color:green;}div.phpdebugbar[data-theme=dark] .phpdebugbar-widgets-green{color:lightgreen;}
div.phpdebugbar .phpdebugbar-widgets-blue{color:blue;}div.phpdebugbar[data-theme=dark] .phpdebugbar-widgets-blue{color:lightblue;}
body:has(.phpdebugbar) pre.sf-dump,.sf-dump-compact{display:none;}
body .phpdebugbar pre.sf-dump{display:block;}
.jqgroup>td.for-sticky,.jqgroup>td.for-sticky>span{line-height:1.6;}
/*.jqgroup>td.for-sticky:not(.frozen-col-class):first-child{position:absolute;width:100%;}
.jqgroup>td.for-sticky:not(.frozen-col-class)+td:before{content:"\00a0";}*/
/*.jqgroup>td.for-sticky.frozen-col-class:first-child>div{padding-left:40px;position:absolute;width:900px;}*/
.switch-reduce{margin-top:0;}.switch-reduce .custom-control-label{line-height:1.7;}
@media (min-width: 768px){.switch-reduce{margin-top:-7px;}}
.modal-header.no-title{position:absolute;width:100%;border:0;z-index:1;}
.modalImage .modal-body.mb-0.p-0.hcenter.vcenter>*{width:100%;max-width:100%;min-height:500px;max-height:92vh;}.modalImage .modal-body.mb-0.p-0.hcenter.vcenter>img{width:auto;object-fit:contain;}
.modalImageSlide .carousel-item img{max-height:85vh;max-width:100%;object-fit:contain;}
.modalImageSlide .carousel-indicators{margin-bottom:0;}
.modalImageSlide .carousel-caption{text-shadow:2px 2px 4px rgba(0,0,0,1);background-color:rgba(0,0,0,0.5);padding:5px;border-radius:5px;bottom:10px;}
.modalImageSlide .carousel-control-next{width:40%;justify-content:flex-end;padding-right:15px;}
.modalImageSlide .carousel-control-prev{width:40%;justify-content:flex-start;padding-left:15px;}
.note-editor.note-airframe .note-placeholder,.note-editor.note-frame .note-placeholder{padding:5px 10px;}
.toast-top-right{top:50px;}
.modal-xxl{max-width:90%;}
